name: action

# Metaangaben zur Kollektion welche in der Admin-UI verwendet werden können
meta:
    openapi:
        disabled: true
    # Navigationseintrag in der Admin-UI
    label: { de: "Action", en: "Action" }
    # Icon (Material UI) für den Navigationseintrag
    muiIcon: web
    views:
        # Mobile Darstellung
        - type: simpleList
          mediaQuery: "(max-width:599px)"
          primaryText: id

        # Desktop
        - type: table
          mediaQuery: "(min-width:600px)"
          columns:
              - id

permissions:
    # öffentlicher Zugriff
    public:
        methods:
            # Liste und Einzeleinträge lesen
            # checked via hook
            get: false
            # neuen Eintrag anlegen
            post: true
            # Eintrag editieren
            put: false
            # Eintrag löschen
            delete: false
    # zum Projekt zugeordneter Benutzer ohne Zusatzberechtigungen
    user:
        methods:
            get: false
            post: false
            put: false
            delete: false

hooks:
    post:
        create:
            type: javascript
            file: hooks/action/post_create.js

# Feldliste der Kollektion
fields: []
